Facebook Ad Library Company Ads API
curl --request POST \
--url https://api.socq.ai/v1/facebook-ad-library/company-ads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page_id": "<string>",
"country": "<string>",
"end_date": "<string>",
"language": "<string>",
"media_type": "<string>",
"results_limit": 1000,
"sort_by": "<string>",
"start_date": "<string>",
"status": "<string>"
}
'import requests
url = "https://api.socq.ai/v1/facebook-ad-library/company-ads"
payload = {
"page_id": "<string>",
"country": "<string>",
"end_date": "<string>",
"language": "<string>",
"media_type": "<string>",
"results_limit": 1000,
"sort_by": "<string>",
"start_date": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page_id: '<string>',
country: '<string>',
end_date: '<string>',
language: '<string>',
media_type: '<string>',
results_limit: 1000,
sort_by: '<string>',
start_date: '<string>',
status: '<string>'
})
};
fetch('https://api.socq.ai/v1/facebook-ad-library/company-ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}采集 Facebook Ad Library 页面 ID 的公共广告。
POST
/
v1
/
facebook-ad-library
/
company-ads
Facebook Ad Library Company Ads API
公司广告
采集与公司搜索返回的一页 ID 关联的公共广告。请求示例
{
"page_id": "51212153078",
"results_limit": 100,
"country": "US",
"status": "ACTIVE",
"media_type": "ALL"
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/facebook-ad-library/company-ads |
| Compact MCP | socq_execute 与 endpoint: "facebook-ad-library/company-ads" |
| Typed MCP | socq_facebook_ad_library_company_ads |
| 精确工具 URL | https://api.socq.ai/mcp?tools=facebook_ad_library_company_ads |
| CLI | socq facebook-ad-library company-ads |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。results_limit。
任务完成响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "succeeded",
"public_id": "facebook-ad-library/company-ads",
"result_count": 1,
"credits_amount": 0.5,
"results": {
"limit": 50,
"next_cursor": null,
"has_more": false,
"items": [{
"id": "1162496978867592",
"platform": "facebook-ad-library",
"resource": "company-ads",
"type": "ad",
"url": "https://www.facebook.com/ads/library/?id=1162496978867592",
"name": "New collection",
"text": "Explore the latest collection.",
"author": {"id": "51212153078", "username": null, "name": "Example Sports", "url": null},
"metrics": {"page_likes_count": 1200000, "reach": null},
"media": [{"type": "image", "url": "https://example.com/ad.jpg"}],
"created_at": "2026-07-10T00:00:00",
"collected_at": "2026-07-18T10:30:00",
"extra": {"input_page_id": "51212153078", "is_active": true, "cta_text": "Shop now"}
}]
}
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
A public page identifier.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1必填范围:
1 <= x <= 2000Minimum string length:
1Minimum string length:
1Minimum string length:
1⌘I

